<?php
/**
 * @brief randomPost, a plugin for Dotclear 2
 *
 * @package Dotclear
 * @subpackage Plugins
 *
 * @author julien mudry and contributors
 *
 * @copyright julien mudry
 * @copyright GPL-2.0 https://www.gnu.org/licenses/gpl-2.0.html
 */
declare(strict_types=1);

namespace Dotclear\Plugin\randomPost;

use Exception;
use dcCore;
use Dotclear\Core\Process;

class Frontend extends Process
{
    public static function init(): bool
    {
        return self::status(My::checkContext(My::FRONTEND));
    }

    public static function process(): bool
    {
        if (!self::status()) {
            return false;
        }
        dcCore::app()->tpl->addValue('RandomRedirURL', [FrontendTemplate::class, 'tplRandomRedirURL']);
        dcCore::app()->tpl->addValue('RandomStaticURL', [FrontendTemplate::class, 'tplRandomStaticURL']);
        
        dcCore::app()->tpl->addBlock('RandomPostBlock', [FrontendTemplate::class, 'tplRandomPostBlock']);
        dcCore::app()->tpl->addValue('RandomPostURL', [FrontendTemplate::class, 'tplRandomPostURL']);
        dcCore::app()->tpl->addValue('RandomPostTitle', [FrontendTemplate::class, 'tplRandomPostTitle']);
        dcCore::app()->tpl->addValue('RandomPostExcerpt', [FrontendTemplate::class, 'tplRandomPostExcerpt']);

        dcCore::app()->addBehaviors([
            'initWidgets' => [Widgets::class, 'initWidgets'],
        ]);

        return true;
    }
}
