<?php
/**
 * @brief randomPost, a plugin for Dotclear 2
 *
 * @package Dotclear
 * @subpackage Plugins
 *
 * @author julien mudry and contributors
 *
 * @copyright julien mudry
 * @copyright GPL-2.0 https://www.gnu.org/licenses/gpl-2.0.html
 */
declare(strict_types=1);

namespace Dotclear\Plugin\randomPost;

use dcCore;
use Dotclear\Core\Process;

class Prepend extends Process
{
    public static function init(): bool
    {
        return self::status(My::checkContext(My::PREPEND));
    }

    public static function process(): bool
    {
        if (!self::status()) {
            return false;
        }

        $settings = My::settings();
        if (!empty($settings) && $settings->randomPostURL != null && strlen($settings->randomPostURL) !== 0) {
            dcCore::app()->url->register(
                'randomPost',
                $settings->randomPostURL,
                '^' . $settings->randomPostURL . '(/[0-9]+)?$',
                [FrontendUrl::class, 'redirRandomPost']
            );
        }
        if (!empty($settings) && $settings->randomPostStaticURL != null && strlen($settings->randomPostStaticURL) !== 0) {
            dcCore::app()->url->register(
                'randomStaticPost',
                $settings->randomPostStaticURL,
                '^' . $settings->randomPostStaticURL . '(/[0-9]+)?$',
                [FrontendUrl::class, 'staticRandomPost']
            );
        }

        return true;
    }
}
